Package weka.clusterers

# Interface NumberOfClustersRequestable

All Known Implementing Classes:
  `EM`, `MakeDensityBasedClusterer`, `SimpleKMeans`

public interface NumberOfClustersRequestable
Interface to a clusterer that can generate a requested number of clusters

Version:
  $Revision: 1.2 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`void`
`setNumClusters(int numClusters)`
Set the number of clusters to generate

## Method Details

### setNumClusters

void setNumClusters(int numClusters) throws Exception
Set the number of clusters to generate

Parameters:
  `numClusters` - the number of clusters to generate
Throws:
  `Exception` - if the requested number of clusters in inapropriate